GET /reports/jobs
Returns aggregated per-job metrics (run count, success rate, p75/p90 of duration, queue time, CPU, memory) along with a multi-line time-series chart for the selected metric and percentile.
Authorization
JWTKeyAuth In: header
Query Parameters
Start date (RFC3339)
End date (RFC3339)
Chart metric: duration, queue_time, cpu, memory (default: duration)
Chart percentile: p75 or p90 (default: p90)
Sort column (default: duration_p90)
Sort order: asc or desc (default: desc)
Filter by repositories
Filter by workflow names
Filter by job names
Filter by runner labels
Filter by stack IDs
Search by repo, workflow, job name, runner label
Page number (default: 1)
Items per page (default: 10, max: 50)
Response format: json or csv (default: json)
Response Body
application/json
application/json
application/json
curl -X GET "https://api.warpbuild.com/api/v1/reports/jobs?start_date=string&end_date=string"{
"available_filters": {
"job_names": [
"string"
],
"repos": [
"string"
],
"runner_labels": [
"string"
],
"stack_ids": [
{
"id": "string",
"name": "string"
}
],
"workflows": [
"string"
]
},
"chart": {
"bucket_interval_seconds": 0,
"metric": "string",
"percentile": "string",
"rows": [
{
"job_name": "string",
"points": [
{
"bucket": "string",
"job_count": 0,
"value": 0
}
],
"repo": "string",
"workflow_name": "string"
}
]
},
"organization_id": "string",
"table": {
"items": [
{
"cpu_p75": 0,
"cpu_p90": 0,
"duration_p75": 0,
"duration_p90": 0,
"job_name": "string",
"memory_p75": 0,
"memory_p90": 0,
"queue_time_p75": 0,
"queue_time_p90": 0,
"repo": "string",
"run_count": 0,
"success_rate": 0,
"workflow_name": "string"
}
],
"next": 0,
"page": 0,
"per_page": 0,
"total_pages": 0,
"total_rows": 0
}
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}GET /reports/billing/docker-builder
Returns billing data for Docker Builder sessions including chart data, summary, paginated session list, and available filters.
GET /reports/queue-timings
Returns aggregated per-(runner, stack) queue time metrics (p75/p90 of total queue time) and a daily stacked-bar chart splitting total queue time into GitHub time and our (WarpBuild) time.